r.object.geometry(1)

NAME
r.object.geometry - Calculates geometry parameters for raster objects.

KEYWORDS
raster, statistics, reclass, clumps

SYNOPSIS
r.object.geometry
r.object.geometry --help
r.object.geometry [-m] input=name [output=name] [separator=character] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-m
    Use meters as units instead of cells

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input raster map

output=name
    Name for output file

separator=character
    Field separator
    Special characters: pipe, comma, space, tab, newline
    Default: pipe

DESCRIPTION

r.object.geometry calculates form statistics of raster objects in the input map and writes it to the output text file (or standard output if no output filename or ’-’ is given), with fields separated by the chosen separator. Objects are defined as clumps of adjacent cells with the same category value (e.g. output of r.clump or i.segment).

By default, values are in pixels. If values in meters is desired, the user can set the -m flag. If the current working region is in lat-long or has non-square pixels, using meters is recommended.

Statistics currently calculated are exactly the same as in v.to.db (except for compact_square and mean coordinates):

    •   area

    •   perimeter

    •   compact_square (compactness compared to a square: compact_square = 4 * sqrt(area) / perimeter)

    •   compact_circle (compactness compared to a circle: compact_circle = perimeter / ( 2 * sqrt(PI * area) ))

    •   fractal dimension ( fd = 2 * ( log(perimeter) / log(area + 0.001) ) )

    •   mean x coordinate of object (in map units)

    •   mean y coordinate of object (in map units)

EXAMPLE

g.region raster=soilsID
r.object.geometry input=soilsID output=soils_geom.txt

SEE ALSO
i.segment, r.clump, v.to.db

AUTHORS
Moritz Lennert
Markus Metz (diagonal clump tracing)

SOURCE CODE

Available at: r.object.geometry source code (history)

Latest change: Tuesday Dec 17 20:17:20 2024 in commit: d962e90c026708a4815ea2b9f46c0e84c17de22d

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual